Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.ognl
Class OgnlNullHandlerWrapper

    java.lang.Object
      com.opensymphony.xwork2.ognl.OgnlNullHandlerWrapper

All Implemented Interfaces:
  ognl.NullHandler

    public class OgnlNullHandlerWrapper

extends java.lang.Object
implements ognl.NullHandler

Constructor Summary
`OgnlNullHandlerWrapper(NullHandler target)`

Method Summary
`java.lang.Object` | `nullMethodResult(java.util.Map context, java.lang.Object target, java.lang.String methodName, java.lang.Object[] args)`
`java.lang.Object` | `nullPropertyValue(java.util.Map context, java.lang.Object target, java.lang.Object property)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OgnlNullHandlerWrapper

    public OgnlNullHandlerWrapper(NullHandler target)

Method Detail

### nullMethodResult

    public java.lang.Object nullMethodResult(java.util.Map context,
                                             java.lang.Object target,
                                             java.lang.String methodName,
                                             java.lang.Object[] args)

  Specified by:
    `nullMethodResult` in interface `ognl.NullHandler`

### nullPropertyValue

    public java.lang.Object nullPropertyValue(java.util.Map context,
                                              java.lang.Object target,
                                              java.lang.Object property)

  Specified by:
    `nullPropertyValue` in interface `ognl.NullHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.